Package org.iirds.dita.ot.plugin.module

# Class IirdsDitaReader

java.lang.Object
org.dita.dost.writer.AbstractDomFilter
org.iirds.dita.ot.plugin.module.IirdsDitaReader

All Implemented Interfaces:
  `org.dita.dost.reader.AbstractReader`

public class IirdsDitaReader extends org.dita.dost.writer.AbstractDomFilter
Reads the DITA input file of the transformation and processes it to extract iiRDS information

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  ### Fields inherited from class org.dita.dost.writer.AbstractDomFilter

  `job, logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IirdsDitaReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ToCNode`
  `getToC()`
  `protected void`
  `handleTopic(ToCNode toCNode, URI topicPath)`
  `protected void`
  `handleTopicref(Element topicref, ToCNode parentToCNode)`
  `protected boolean`
  `ignoreNavigation(Element elem)`
  `protected boolean`
  `isBackMatter(Element elem)`
  `protected boolean`
  `isBookLists(Element elem)`
  `protected boolean`
  `isFrontMatter(Element elem)`
  `protected boolean`
  `isResourceOnly(Attr resourceAttr)`
  `protected boolean`
  `isResourceOnly(Element elem)`
  `protected boolean`
  `isTopicGroup(Element elem)`
  `Document`
  `process(Document doc)`
  `protected Document`
  `processMap(Document doc)`
  `protected Document`
  `processTopic(Document doc)`
  `void`
  `read(File filename)`
  `void`
  `read(File filename, URI fileURI)`

  ### Methods inherited from class org.dita.dost.writer.AbstractDomFilter

  `setJob, setLogger`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IirdsDitaReader

    public IirdsDitaReader()

- ## Method Details

  - ### getToC

    public ToCNode getToC()

  - ### read

    public void read(File filename, URI fileURI) throws org.dita.dost.exception.DITAOTException
    Throws:
      `org.dita.dost.exception.DITAOTException`

  - ### read

    public void read(File filename) throws org.dita.dost.exception.DITAOTException
    Specified by:
      `read` in interface `org.dita.dost.reader.AbstractReader`
    Overrides:
      `read` in class `org.dita.dost.writer.AbstractDomFilter`
    Throws:
      `org.dita.dost.exception.DITAOTException`

  - ### process

    public Document process(Document doc)
    Specified by:
      `process` in class `org.dita.dost.writer.AbstractDomFilter`

  - ### processTopic

    protected Document processTopic(Document doc)

  - ### processMap

    protected Document processMap(Document doc)

  - ### handleTopicref

    protected void handleTopicref(Element topicref, ToCNode parentToCNode)

  - ### handleTopic

    protected void handleTopic(ToCNode toCNode, URI topicPath)

  - ### ignoreNavigation

    protected boolean ignoreNavigation(Element elem)

  - ### isBackMatter

    protected boolean isBackMatter(Element elem)

  - ### isBookLists

    protected boolean isBookLists(Element elem)

  - ### isFrontMatter

    protected boolean isFrontMatter(Element elem)

  - ### isTopicGroup

    protected boolean isTopicGroup(Element elem)

  - ### isResourceOnly

    protected boolean isResourceOnly(Element elem)

  - ### isResourceOnly

    protected boolean isResourceOnly(Attr resourceAttr)